Herald
OpenapiRealms

Update realm Email OTP configuration

Enables/disables Email OTP login for a realm and separately controls whether unregistered emails are auto-registered on successful verification. Requires 'settings.manage' permission. Stored as `ConfigType::EmailOtp` / `config_key="settings"` JSON.

PUT
/api/realms/{realmId}/config/email-otp

Enables/disables Email OTP login for a realm and separately controls whether unregistered emails are auto-registered on successful verification. Requires 'settings.manage' permission. Stored as ConfigType::EmailOtp / config_key="settings" JSON.

Authorization

bearer_auth
AuthorizationBearer <token>

In: header

Path Parameters

realmId*string

Realm ID

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

autoRegister*boolean
enabled*boolean

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

curl -X PUT "https://example.com/api/realms/string/config/email-otp" \  -H "Content-Type: application/json" \  -d '{    "autoRegister": true,    "enabled": true  }'
{  "autoRegister": true,  "enabled": true,  "message": "string",  "updatedAt": "string"}
{  "code": "string",  "details": null,  "message": "string",  "requestId": "string",  "status": 0}
{  "code": "string",  "details": null,  "message": "string",  "requestId": "string",  "status": 0}
{  "code": "string",  "details": null,  "message": "string",  "requestId": "string",  "status": 0}
{  "code": "string",  "details": null,  "message": "string",  "requestId": "string",  "status": 0}
{  "code": "string",  "details": null,  "message": "string",  "requestId": "string",  "status": 0}